=== modified file 'loggerhead/templates/revision.pt'
--- loggerhead/templates/revision.pt	2008-06-16 10:13:40 +0000
+++ loggerhead/templates/revision.pt	2008-06-16 10:56:29 +0000
@@ -82,7 +82,7 @@
         <table class="diff-option-buttons">
           <tr>
             <td>
-              <tal:b content="structure python:collapse_all_button('file', 'table-row')" />
+              <tal:b content="structure python:collapse_all_button('file', normal='table-row')" />
             </td>
 
             <td class="spacey">
@@ -124,7 +124,7 @@
               <tal:u define="u python:util.uniq(uniqs, item.file_id)">
                 <tr>
                   <th class="filename" colspan="4">
-                    <tal:b content="structure python:collapse_button('file', u, 'table-row')" />
+                    <tal:b content="structure python:collapse_button('file', u, normal='table-row')" />
                     <a tal:attributes="href  python:url(['/annotate', change.revid], file_id=item.file_id);
                                        name  string:${item/filename}-s;
                                        title string:Annotate ${item/filename}"
@@ -211,7 +211,7 @@
               <tal:u define="u python:util.uniq(uniqs, item.file_id)">
                 <tr>
                   <th class="filename" colspan="4">
-                    <tal:b content="structure python:collapse_button('file', u, 'table-row')" />
+                    <tal:b content="structure python:collapse_button('file', u, normal='table-row')" />
                     <a tal:attributes="href  python:url(['/annotate', change.revid], file_id=item.file_id);
                                        name  string:${item/filename}-u;
                                        title string:Annotate ${item/filename}"

=== modified file 'loggerhead/wsgiapp.py'
--- loggerhead/wsgiapp.py	2008-06-16 10:46:16 +0000
+++ loggerhead/wsgiapp.py	2008-06-16 10:56:29 +0000
@@ -41,7 +41,7 @@
         qs = '&'.join(qs)
         return request.construct_url(
             self._environ, script_name=self._url_base,
-            path_info=self._url_base + '/'.join(args),
+            path_info='/'.join(args),
             querystring=qs)
 
     def context_url(self, *args, **kw):

=== modified file 'wsgitest.py'
--- wsgitest.py	2008-06-16 10:46:16 +0000
+++ wsgitest.py	2008-06-16 10:56:29 +0000
@@ -7,6 +7,7 @@
 from paste import httpserver
 from paste.httpexceptions import make_middleware
 from paste.translogger import make_filter
+from loggerhead.changecache import FileChangeCache
 
 
 
@@ -19,8 +20,8 @@
         segment = path_info_pop(environ)
         if segment is None:
             raise httpexceptions.HTTPNotFound()
-        f = os.path.join(self.folder, segment)
-        print f
+        relpath = os.path.join(self.folder, segment)
+        f = os.path.join(self.root.folder, relpath)
         if not os.path.isdir(f):
             raise httpexceptions.HTTPNotFound()
         if f in self.root.cache:
@@ -28,11 +29,13 @@
         try:
             b = branch.Branch.open(f)
         except errors.NotBranchError:
-            return BranchesFromFileSystemServer(f, self.root)(environ, start_response)
+            return BranchesFromFileSystemServer(relpath, self.root)(environ, start_response)
         else:
             b.lock_read()
             try:
-                h = BranchWSGIApp(History.from_branch(b), 'hello').app
+                _history = History.from_branch(b)
+                _history.use_file_cache(FileChangeCache(_history, 'sql'))
+                h = BranchWSGIApp(_history, relpath).app
                 self.root.cache[f] = h
                 return h(environ, start_response)
             finally:
@@ -49,7 +52,7 @@
             return static_app(environ, start_response)
         else:
             return BranchesFromFileSystemServer(
-                os.path.join(self.folder, segment), self)(environ, start_response)
+                segment, self)(environ, start_response)
 
 app = BranchesFromFileSystemRoot('../..')
 

